org.apache.felix.ipojo.util

## Interface Log

All Known Implementing Classes:
  Logger

    public interface Log

API for the iPOJO internal Log system.

### Field Summary

Fields
`static int` `DEBUG` The Log Level DEBUG.
`static int` `ERROR` The Log Level ERROR.
`static int` `INFO` The Log Level INFO.
`static int` `WARNING` The Log Level WARNING.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `log(int level, java.lang.String msg)`
`void` `log(int level, java.lang.String msg, java.lang.Throwable exception)`

### Field Detail

#### ERROR

    static final int ERROR

The Log Level ERROR.

See Also:
  Constant Field Values

#### WARNING

    static final int WARNING

The Log Level WARNING.

See Also:
  Constant Field Values

#### INFO

    static final int INFO

The Log Level INFO.

See Also:
  Constant Field Values

#### DEBUG

    static final int DEBUG

The Log Level DEBUG.

See Also:
  Constant Field Values

### Method Detail

#### log

    void log(int level,
             java.lang.String msg)

#### log

    void log(int level,
             java.lang.String msg,
             java.lang.Throwable exception)